> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiddler.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Segments REST API Guide

> Discover Fiddler’s Segments REST API guide. Learn to list, create, view details, delete segments by UUID, and list all segments for a model.

<CardGroup cols={2}>
  <Card title="Create new segment" icon="plus" href="/sdk-api/rest-api/segments/create-segment">
    `POST /v3/segments`
  </Card>

  <Card title="Delete segment by uuid" icon="trash" href="/sdk-api/rest-api/segments/delete-segment">
    `DELETE /v3/segments/{uuid}`
  </Card>

  <Card title="Detail info of a segment" icon="magnifying-glass" href="/sdk-api/rest-api/segments/get-segment">
    `GET /v3/segments/{uuid}`
  </Card>

  <Card title="List all segments" icon="magnifying-glass" href="/sdk-api/rest-api/segments/get-segments">
    `GET /v3/segments`
  </Card>

  <Card title="List all segments for a model" icon="magnifying-glass" href="/sdk-api/rest-api/segments/get-model-segments">
    `GET /v3/models/{model_id}/segments`
  </Card>
</CardGroup>
